harmony-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From hinde...@apache.org
Subject svn commit: r420823 - in /incubator/harmony/enhanced/classlib/trunk/depends/libs/build: ./ README.txt fetch-awt-depends.sh
Date Tue, 11 Jul 2006 12:43:10 GMT
Author: hindessm
Date: Tue Jul 11 05:43:09 2006
New Revision: 420823

URL: http://svn.apache.org/viewvc?rev=420823&view=rev
Log:
Added README.txt for AWT dependencies - mostly taken from contribution README.
Added helper script for Linux - Debian/Ubuntu only but could be updated for
other common distros.


Added:
    incubator/harmony/enhanced/classlib/trunk/depends/libs/build/   (with props)
    incubator/harmony/enhanced/classlib/trunk/depends/libs/build/README.txt   (with props)
    incubator/harmony/enhanced/classlib/trunk/depends/libs/build/fetch-awt-depends.sh   (with
props)

Propchange: incubator/harmony/enhanced/classlib/trunk/depends/libs/build/
------------------------------------------------------------------------------
--- svn:ignore (added)
+++ svn:ignore Tue Jul 11 05:43:09 2006
@@ -0,0 +1,3 @@
+jpeg
+lcms
+png

Added: incubator/harmony/enhanced/classlib/trunk/depends/libs/build/README.txt
URL: http://svn.apache.org/viewvc/incubator/harmony/enhanced/classlib/trunk/depends/libs/build/README.txt?rev=420823&view=auto
==============================================================================
--- incubator/harmony/enhanced/classlib/trunk/depends/libs/build/README.txt (added)
+++ incubator/harmony/enhanced/classlib/trunk/depends/libs/build/README.txt Tue Jul 11 05:43:09
2006
@@ -0,0 +1,175 @@
+Dependencies for AWT
+--------------------
+
+For Debian/Ubuntu, it should be possible to run:
+
+  sh depends/libs/build/fetch-awt-depends.sh
+
+to construct the dependency tree.
+
+On other platforms the dependencies must be build using the following
+instructions.
+
+
+1. Building the external libraries
+----------------------------------
+
+To enable image decoding (JPEG and PNG images) and color management
+with awt, build the IJG JPEG, Libpng and the Little CMS libraries.
+
+After performing the instructions below, you create the following
+directory tree structure:
+
+<EXTRACT_DIR>/depends/libs/build
+       |
+       \---jpeg
+       |    |
+       |    +--- cderror.h
+       |    +--- jinclude.h
+       |    +--- jpeglib.h
+       |    +--- cdjpeg.h
+       |    +--- jdct.h
+       |    +--- jmemsys.h
+       |    +--- jversion.h
+       |    +--- jchuff.h
+       |    +--- jdhuff.h
+       |    +--- jmorecfg.h
+       |    +--- jerror.h
+       |    +--- jpegint.h
+       |    +--- jconfig.lnx and/or jconfig.vc
+       |    +--- libjpeg.lib and/or libjpeg.ia32 and/or libjpeg.ipf
+       \---png
+       |    |
+       |    +--- png.h
+       |    +--- pngconf.h
+       |    +--- libpng.lib and/or libpng.ia32 and/or libpng.ipf
+       \---lcms
+       |    |
+       |    +--- icc34.h
+       |    +--- lcms.h
+       |    +--- lcms114.lib and/or liblcms.ia32 and/or liblcms.ipf
+       ...
+
+NOTE: The tree above indicates the files required for this contribution,
+      not all the files distributed with each library.
+
+Further in the document, <EXTERNAL_LIBS_DIR> denotes the directory
+<EXTRACT_DIR>/depends/libs/build.
+
+1.1 Building the IJG IPEG library
+
+    System: Windows* IA-32
+
+    1. Change the directory to the IJG JPEG library source directory;
+       normally, jpeg-6b.
+    2. Copy the file jconfig.vc to jconfig.h.
+    3. Copy the jconfig.vc file to the <EXTERNAL_LIBS_DIR>/jpeg/ directory.
+    4. Start the Microsoft* Windows* SDK build environment or
+       the Visual Studio .NET* 2003 Command Prompt.
+    5. Build the library by running:
+
+	    For the release version: nmake nodebug=1 /f makefile.vc
+	    For the debug version: nmake /f makefile.vc
+
+    6. Copy the file libjpeg.lib to the <EXTERNAL_LIBS_DIR>/jpeg directory.
+    7. Copy the required header files to the <EXTERNAL_LIBS_DIR>/jpeg
+       directory.  For a list of required files, see the tree view above.
+
+    System: Linux* IA-32
+
+    1. Change the directory to the IJG JPEG library source directory;
+       normally, jpeg-6b.
+    2. Configure the build by running:
+
+	    For the release version: ./configure CFLAGS=’-O2 -fpic’
+	    For the debug version: ./configure CFLAGS=’-g -fpic’
+
+    3. Copy the file jconfig.h created during the previous step to
+       the <EXTERNAL_LIBS_DIR>/jpeg/jconfig.lnx directory.
+    4. To build the library, run:
+
+	    make
+
+    5. Copy the resulting libjpeg.a file to the file
+       <EXTERNAL_LIBS_DIR>/jpeg/libjpeg.ia32.
+
+    6. Copy the required header files to the <EXTERNAL_LIBS_DIR>/jpeg
+       directory.
+
+1.2 Building the Libpng library
+
+    System: Windows* IA-32
+
+    1. Place the libpng source directory and zlib source directory
+       in a convenient location and rename the zlib source directory to zlib.
+    2. Change the working directory to the libpng source directory.
+    3. Edit the file ./scripts/makefile.vcwin32 by changing the following line:
+
+	    CFLAGS  = -nologo -MD -O2 -W3 -I..\zlib
+
+	    For the release version, type: CFLAGS = -nologo -MT -O2 -W3 -I..\zlib .
+	    For the debug version, type: CFLAGS = -nologo -MTd -W3 -I..\zlib .
+
+    4. Start the Microsoft* Windows* SDK build environment
+       or the Visual Studio .NET* 2003 Command Prompt.
+    5. Subsequently run the following commands:
+
+	    nmake /f scripts\makefile.vcwin32 clean
+	    nmake /f scripts\makefile.vcwin32
+
+    6. Copy the files libpng.lib,  png.h and pngconf.h to
+       the directory <EXTERNAL_LIBS_DIR>/png.
+
+   System: Linux* IA-32
+
+   1. Change the working directory to the libpng source directory.
+   2. Configure the build by running:
+
+	    For the release version: ./configure CFLAGS=’-O2 -fpic’
+	    For the debug version: ./configure CFLAGS=’-g -fpic’
+
+   3. To build the library, run:
+
+   	   make
+
+   4. Copy the resulting ./.libs/libpng.a file the following file
+      <EXTERNAL_LIBS_DIR>/png/libpng.ia32
+
+   5. Copy the files png.h and pngconf.h to the
+      <EXTERNAL_LIBS_DIR>/png directory.
+
+1.3 Building the Little CMS library
+
+   System: Windows* IA-32
+
+   1. Change the working directory to the LCMS source directory.
+   2. Open the Visual Studio* solution from the ./Projects/VC7/ directory.
+   3. Set the LCMS static library as a startup project.
+   4. Specify the configuration: debug or release.
+   5. Open the project properties. Go to C/C++/Code generation
+      and change the run-time library to multi-threaded: /MT or /MTd.
+   6. Go to C/C++/Preprocessor and add __CONSOLE__ to the preprocessor
+      definitions.
+   7. Build the LCMS static library.
+   8. Copy the file lcms114.lib to the <EXTERNAL_LIBS_DIR>/lcms directory.
+	    NOTE: Use the file lcms114d.lib for the debug configuration.
+   9. Copy ./include/icc34.h and ./include/lcms.h to the
+      <EXTERNAL_LIBS_DIR>/lcms directory.
+
+   System: Linux* IA-32
+
+   1. Change the working directory to the LCMS source directory.
+   2. Configure the build by running:
+
+   	For the release version: ./configure CFLAGS=’-O2 -fpic’
+   	For the debug version: ./configure CFLAGS=’-g -fpic’
+
+   3. To build the library, run:
+
+   	make
+
+   4. Copy the file ./src/.libs/liblcms.a to the following file
+      <EXTERNAL_LIBS_DIR>/lcms/liblcms.ia32
+
+   5. Copy the files ./include/icc34.h and ./include/lcms.h
+      to the <EXTERNAL_LIBS_DIR>/lcms directory.

Propchange: incubator/harmony/enhanced/classlib/trunk/depends/libs/build/README.txt
------------------------------------------------------------------------------
    svn:eol-style = native

Added: incubator/harmony/enhanced/classlib/trunk/depends/libs/build/fetch-awt-depends.sh
URL: http://svn.apache.org/viewvc/incubator/harmony/enhanced/classlib/trunk/depends/libs/build/fetch-awt-depends.sh?rev=420823&view=auto
==============================================================================
--- incubator/harmony/enhanced/classlib/trunk/depends/libs/build/fetch-awt-depends.sh (added)
+++ incubator/harmony/enhanced/classlib/trunk/depends/libs/build/fetch-awt-depends.sh Tue
Jul 11 05:43:09 2006
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+for d in depends make modules ;do
+  if [ \! -d $d ]; then
+    echo no $d directory
+    echo this script should be run from classlib top-level directory
+    echo
+    echo sh depends/libs/build/fetch-awt-swing.sh
+    exit 1
+  fi
+done
+
+LCMS_HOME=/usr
+mkdir -p depends/libs/build/lcms
+while read s t 
+do
+  src=$LCMS_HOME/$s
+  tgt=depends/libs/build/lcms/$t
+  if [ \! -e $src ]; then
+    echo $src not found
+    echo liblcms development package not install
+    echo for debian/ubuntu try: apt-get install liblcms1-dev
+    exit 1
+  fi
+  if [ -e $tgt ]; then
+    echo $tgt exists
+  else
+    echo Linking $src to $tgt
+    ln -s $src $tgt
+  fi
+done <<EOF
+  lib/liblcms.a liblcms.ia32
+  include/icc34.h icc34.h
+  include/lcms.h lcms.h
+EOF
+
+PNG_HOME=/usr
+mkdir -p depends/libs/build/png
+while read s t 
+do
+  src=$PNG_HOME/$s
+  tgt=depends/libs/build/png/$t
+  if [ \! -e $src ]; then
+    echo $src not found
+    echo libpng development package not install
+    echo for debian/ubuntu try: apt-get install libpng12-dev
+    exit 1
+  fi
+  if [ -e $tgt ]; then
+    echo $tgt exists
+  else
+    echo Linking $src to $tgt
+    ln -s $src $tgt
+  fi
+done <<EOF
+  lib/libpng.a libpng.ia32
+  include/pngconf.h pngconf.h
+  include/png.h png.h
+EOF
+
+JPEG_HOME=/usr
+mkdir -p depends/libs/build/jpeg
+while read s t 
+do
+  src=$JPEG_HOME/$s
+  tgt=depends/libs/build/jpeg/$t
+  if [ \! -e $src ]; then
+    echo $src not found
+    echo libjpeg development package not install
+    echo for debian/ubuntu try: apt-get install libjpeg62-dev
+    exit 1
+  fi
+  if [ -e $tgt ]; then
+    echo $tgt exists
+  else
+    echo Linking $src to $tgt
+    ln -s $src $tgt
+  fi
+done <<EOF
+  lib/libjpeg.a libjpeg.ia32
+  include/jconfig.h jconfig.lnx
+  include/jpeglib.h jpeglib.h
+  include/jmorecfg.h jmorecfg.h
+  include/jerror.h jerror.h
+  include/jpegint.h jpegint.h
+EOF
+
+exit

Propchange: incubator/harmony/enhanced/classlib/trunk/depends/libs/build/fetch-awt-depends.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/harmony/enhanced/classlib/trunk/depends/libs/build/fetch-awt-depends.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message